/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*             UNIDAD DE EVALUACIN DEL SISTEMA EDUCATIVO NACIONAL
/*             DIRECCIN GENERAL DE MEDICIN Y TRATAMIENTO DE DATOS
/*
/*                      DIRECCIN DE TRATAMIENTO DE DATOS
/*
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     SEXTO GRADO DE PRIMARIA (Excale 06)
/*
/*                        **** FORMACIN CVICA Y TICA ****
/*
/*                      Ciclo escolar evaluado: 2012 - 2013
/*_____________________________________________________________________________
/*
/*
/*            SINTAXIS PARA CONSTRUIR LA BASE DE DATOS DE ALUMNOS DE
/*                   FORMACIN CVICA Y TICA EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte al archivo Excale06_2013_Alum_FCE.txt, el cual est en
/*  formato ASCII, en una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale06_2013_Alum_FCE.txt
/*         as como el archivo Excale06_2013_Alum_FCE.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale06_2013_Alum_FCE.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale06_2013_Alum_FCE.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Direccin de Tratamiento de Datos
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 32025
/*      Domicilio: Av. Barranca del Muerto no. 341, 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 12 DE DICIEMBRE DEL 2014
/*
/*  ****************************************************************************/

LIBNAME  INEE  "C:\***\";
FILENAME alum  "C:\***\Excale06_2013_Alum_FCE.TXT";

PROC FORMAT;
     VALUE id_entF     1         ="Aguascalientes"
                       2         ="Baja California"
                       3         ="Baja California Sur"
                       4         ="Campeche"
                       5         ="Coahuila"
                       6         ="Colima"
                       7         ="Chiapas"
                       8         ="Chihuahua"
                       9         ="Distrito Federal"
                       10        ="Durango"
                       11        ="Guanajuato"
                       12        ="Guerrero"
                       13        ="Hidalgo"
                       14        ="Jalisco"
                       15        ="Mxico"
                       16        ="Michoacn"
                       17        ="Morelos"
                       18        ="Nayarit"
                       19        ="Nuevo Len"
                       20        ="Oaxaca"
                       21        ="Puebla"
                       22        ="Quertaro"
                       23        ="Quintana Roo"
                       24        ="San Luis Potos"
                       25        ="Sinaloa"
                       26        ="Sonora"
                       27        ="Tabasco"
                       28        ="Tamaulipas"
                       29        ="Tlaxcala"
                       30        ="Veracruz"
                       31        ="Yucatn"
                       32        ="Zacatecas";
     VALUE id_modF     1         ="Urbana Pblica"
                       2         ="Rural Pblica"
                       3         ="Educacin Indgena"
                       4         ="Curso Comunitario"
                       5         ="Privada"
                       6         ="General"
                       7         ="Tcnica"
                       8         ="Telesecundaria"
                       9         ="Privada";
     VALUE $modF       "UP"      ="Urbano Pblico"
                       "RP"      ="Rural Pblico"
                       "EI"      ="Educacin Indgena"
                       "CC"      ="Cursos Comunitarios"
                       "UPV"     ="Privados"
                       "GRAL"    ="General"
                       "TEC"     ="Tcnica"
                       "TV"      ="Telesecundaria"
                       "PRIV"    ="Privada";
     VALUE $entestF    "999"     ="Respuesta omitida";
     VALUE sexoF       1         ="Hombre"
                       2         ="Mujer"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE edad_acF    98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE mes_nacF    1         ="Enero"
                       2         ="Febrero"
                       3         ="Marzo"
                       4         ="Abril"
                       5         ="Mayo"
                       6         ="Junio"
                       7         ="Julio"
                       8         ="Agosto"
                       9         ="Septiembre"
                       10        ="Octubre"
                       11        ="Noviembre"
                       12        ="Diciembre"
                       98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE edadF       99        ="Respuesta omitida";
     VALUE edadCF      1         ="11 aos o menos"
                       2         ="12 aos"
                       3         ="13 aos"
                       4         ="14 aos o ms"
                       9         ="Respuesta omitida";
     VALUE edadNF      1         ="Edad normativa"
                       2         ="Extra-edad"
                       9         ="Respuesta omitida";
     VALUE edadAF      0         ="Sin edad anticipada"
                       1         ="Edad anticipada"
                       9         ="Respuesta omitida";
     VALUE edadEF      0         ="Sin extra edad severa"
                       1         ="Extra edad severa"
                       9         ="Respuesta omitida";
     VALUE docenF      99999     ="Respuesta omitida";
     VALUE reactF      0         ="Fallo"
                       1         ="Acierto"
                       5         ="Reactivo no alcanzado (se considera como no administrado)"
                       6         ="Reactivo no administrado por error de impresin"
                       7         ="Reactivo no administrado (No se incluy en su cuadernillo de examen)";
     VALUE nvlF        1         ="Por debajo del nivel bsico"
                       2         ="Bsico"
                       3         ="Medio"
                       4         ="Avanzado";
     VALUE nvblF       0         ="Por debajo del nivel bsico"
                       1         ="Al menos el nivel bsico";
     VALUE nvmlF       0         ="Por debajo del nivel medio"
                       1         ="Al menos el nivel medio";
RUN;



DATA INEE.Excale06_2013_Alum_FCE;
   LENGTH
       NACIONAL         3
       ESCUELA          4
       ID_ENT           3
       NOM_ENT          $19
       ID_MOD           3
       MOD              $4
       ESTRATO          $7
       ENTEST           $6
       ALUMNO           5
       ID_INSTR         $15
       SEXO             3
       EDAD_AC          3
       MES_NAC          3
       EDAD             8
       EDAD_ACC         3
       EDAD_N           3
       EDAD_ANT         3
       EDAD_EES         3
       W_ALU            8
       DOCENTE          5
       PCA_01           3
       PCA_02           3
       PCA_03           3
       PCA_04           3
       PCA_05           3
       PCA_06           3
       PCA_07           3
       PCA_08           3
       PCA_09           3
       PCA_10           3
       PCA_11           3
       PCA_12           3
       PCA_13           3
       PCA_14           3
       PCA_15           3
       PCA_16           3
       PCA_17           3
       PCA_18           3
       PCB_01           3
       PCB_02           3
       PCB_03           3
       PCB_04           3
       PCB_05           3
       PCB_06           3
       PCB_07           3
       PCB_08           3
       PCB_09           3
       PCB_10           3
       PCB_11           3
       PCB_12           3
       PCB_13           3
       PCB_14           3
       PCB_15           3
       PCB_16           3
       PCB_17           3
       PCC_01           3
       PCC_02           3
       PCC_03           3
       PCC_04           3
       PCC_05           3
       PCC_06           3
       PCC_07           3
       PCC_08           3
       PCC_09           3
       PCC_10           3
       PCC_11           3
       PCC_12           3
       PCC_13           3
       PCC_14           3
       PCC_15           3
       PCC_16           3
       PCC_17           3
       PCC_18           3
       PCD_01           3
       PCD_02           3
       PCD_03           3
       PCD_04           3
       PCD_05           3
       PCD_06           3
       PCD_07           3
       PCD_08           3
       PCD_09           3
       PCD_10           3
       PCD_11           3
       PCD_12           3
       PCD_13           3
       PCD_14           3
       PCD_15           3
       PCD_16           3
       PCD_17           3
       PCD_18           3
       PCE_01           3
       PCE_02           3
       PCE_03           3
       PCE_04           3
       PCE_05           3
       PCE_06           3
       PCE_07           3
       PCE_08           3
       PCE_09           3
       PCE_10           3
       PCE_11           3
       PCE_12           3
       PCE_13           3
       PCE_14           3
       PCE_15           3
       PCE_16           3
       PCE_17           3
       PCF_01           3
       PCF_02           3
       PCF_03           3
       PCF_04           3
       PCF_05           3
       PCF_06           3
       PCF_07           3
       PCF_08           3
       PCF_09           3
       PCF_10           3
       PCF_11           3
       PCF_12           3
       PCF_13           3
       PCF_14           3
       PCF_15           3
       PCF_16           3
       PCF_17           3
       PCF_18           3
       PV1FCE           8
       PV2FCE           8
       PV3FCE           8
       PV4FCE           8
       PV5FCE           8
       FCENVL1          3
       FCENVL2          3
       FCENVL3          3
       FCENVL4          3
       FCENVL5          3
       FCENVBL1         3
       FCENVBL2         3
       FCENVBL3         3
       FCENVBL4         3
       FCENVBL5         3
       FCENVML1         3
       FCENVML2         3
       FCENVML3         3
       FCENVML4         3
       FCENVML5         3
       WVARSTRR         3
       W_FSTR1          8
       W_FSTR2          8
       W_FSTR3          8
       W_FSTR4          8
       W_FSTR5          8
       W_FSTR6          8
       W_FSTR7          8
       W_FSTR8          8
       W_FSTR9          8
       W_FSTR10         8
       W_FSTR11         8
       W_FSTR12         8
       W_FSTR13         8
       W_FSTR14         8
       W_FSTR15         8
       W_FSTR16         8
       W_FSTR17         8
       W_FSTR18         8
       W_FSTR19         8
       W_FSTR20         8
       W_FSTR21         8
       W_FSTR22         8
       W_FSTR23         8
       W_FSTR24         8
       W_FSTR25         8
       W_FSTR26         8
       W_FSTR27         8
       W_FSTR28         8
       W_FSTR29         8
       W_FSTR30         8
       W_FSTR31         8
       W_FSTR32         8
       W_FSTR33         8
       W_FSTR34         8
       W_FSTR35         8
       W_FSTR36         8
       W_FSTR37         8
       W_FSTR38         8
       W_FSTR39         8
       W_FSTR40         8
       W_FSTR41         8
       W_FSTR42         8
       W_FSTR43         8
       W_FSTR44         8
       W_FSTR45         8
       W_FSTR46         8
       W_FSTR47         8
       W_FSTR48         8
       W_FSTR49         8
       W_FSTR50         8
       W_FSTR51         8
       W_FSTR52         8
       W_FSTR53         8
       W_FSTR54         8
       W_FSTR55         8
       W_FSTR56         8
       W_FSTR57         8
       W_FSTR58         8
       W_FSTR59         8
       W_FSTR60         8
       W_FSTR61         8
       W_FSTR62         8
       W_FSTR63         8
       W_FSTR64         8
       W_FSTR65         8
       W_FSTR66         8
       W_FSTR67         8
       W_FSTR68         8
       W_FSTR69         8
       W_FSTR70         8
       W_FSTR71         8
       W_FSTR72         8
       W_FSTR73         8
       W_FSTR74         8
       W_FSTR75         8
       W_FSTR76         8
       W_FSTR77         8
       W_FSTR78         8
       W_FSTR79         8
       W_FSTR80         8
       W_FSTR81         8
       W_FSTR82         8
       W_FSTR83         8
       W_FSTR84         8
       W_FSTR85         8
       W_FSTR86         8
       W_FSTR87         8
       W_FSTR88         8
       W_FSTR89         8
       W_FSTR90         8
       W_FSTR91         8
       W_FSTR92         8
       W_FSTR93         8
       W_FSTR94         8
       W_FSTR95         8
       W_FSTR96         8
       W_FSTR97         8
       W_FSTR98         8
       W_FSTR99         8
       W_FSTR100        8

 ;



INFILE alum MISSOVER LINESIZE = 1363;
   INPUT
      NACIONAL           1 - 1
      ESCUELA            2 - 5
      ID_ENT             6 - 7
      NOM_ENT            8 - 26
      ID_MOD            27 - 27
      MOD               28 - 31
      ESTRATO           32 - 38
      ENTEST            39 - 43
      ALUMNO            44 - 48
      ID_INSTR          49 - 63
      SEXO              64 - 64
      EDAD_AC           65 - 66
      MES_NAC           67 - 68
      EDAD              69 - 79
      EDAD_ACC          80 - 80
      EDAD_N            81 - 81
      EDAD_ANT          82 - 82
      EDAD_EES          83 - 83
      W_ALU             84 - 94
      DOCENTE           95 - 99
      PCA_01           100 - 100
      PCA_02           101 - 101
      PCA_03           102 - 102
      PCA_04           103 - 103
      PCA_05           104 - 104
      PCA_06           105 - 105
      PCA_07           106 - 106
      PCA_08           107 - 107
      PCA_09           108 - 108
      PCA_10           109 - 109
      PCA_11           110 - 110
      PCA_12           111 - 111
      PCA_13           112 - 112
      PCA_14           113 - 113
      PCA_15           114 - 114
      PCA_16           115 - 115
      PCA_17           116 - 116
      PCA_18           117 - 117
      PCB_01           118 - 118
      PCB_02           119 - 119
      PCB_03           120 - 120
      PCB_04           121 - 121
      PCB_05           122 - 122
      PCB_06           123 - 123
      PCB_07           124 - 124
      PCB_08           125 - 125
      PCB_09           126 - 126
      PCB_10           127 - 127
      PCB_11           128 - 128
      PCB_12           129 - 129
      PCB_13           130 - 130
      PCB_14           131 - 131
      PCB_15           132 - 132
      PCB_16           133 - 133
      PCB_17           134 - 134
      PCC_01           135 - 135
      PCC_02           136 - 136
      PCC_03           137 - 137
      PCC_04           138 - 138
      PCC_05           139 - 139
      PCC_06           140 - 140
      PCC_07           141 - 141
      PCC_08           142 - 142
      PCC_09           143 - 143
      PCC_10           144 - 144
      PCC_11           145 - 145
      PCC_12           146 - 146
      PCC_13           147 - 147
      PCC_14           148 - 148
      PCC_15           149 - 149
      PCC_16           150 - 150
      PCC_17           151 - 151
      PCC_18           152 - 152
      PCD_01           153 - 153
      PCD_02           154 - 154
      PCD_03           155 - 155
      PCD_04           156 - 156
      PCD_05           157 - 157
      PCD_06           158 - 158
      PCD_07           159 - 159
      PCD_08           160 - 160
      PCD_09           161 - 161
      PCD_10           162 - 162
      PCD_11           163 - 163
      PCD_12           164 - 164
      PCD_13           165 - 165
      PCD_14           166 - 166
      PCD_15           167 - 167
      PCD_16           168 - 168
      PCD_17           169 - 169
      PCD_18           170 - 170
      PCE_01           171 - 171
      PCE_02           172 - 172
      PCE_03           173 - 173
      PCE_04           174 - 174
      PCE_05           175 - 175
      PCE_06           176 - 176
      PCE_07           177 - 177
      PCE_08           178 - 178
      PCE_09           179 - 179
      PCE_10           180 - 180
      PCE_11           181 - 181
      PCE_12           182 - 182
      PCE_13           183 - 183
      PCE_14           184 - 184
      PCE_15           185 - 185
      PCE_16           186 - 186
      PCE_17           187 - 187
      PCF_01           188 - 188
      PCF_02           189 - 189
      PCF_03           190 - 190
      PCF_04           191 - 191
      PCF_05           192 - 192
      PCF_06           193 - 193
      PCF_07           194 - 194
      PCF_08           195 - 195
      PCF_09           196 - 196
      PCF_10           197 - 197
      PCF_11           198 - 198
      PCF_12           199 - 199
      PCF_13           200 - 200
      PCF_14           201 - 201
      PCF_15           202 - 202
      PCF_16           203 - 203
      PCF_17           204 - 204
      PCF_18           205 - 205
      PV1FCE           206 - 213
      PV2FCE           214 - 221
      PV3FCE           222 - 229
      PV4FCE           230 - 237
      PV5FCE           238 - 245
      FCENVL1          246 - 246
      FCENVL2          247 - 247
      FCENVL3          248 - 248
      FCENVL4          249 - 249
      FCENVL5          250 - 250
      FCENVBL1         251 - 251
      FCENVBL2         252 - 252
      FCENVBL3         253 - 253
      FCENVBL4         254 - 254
      FCENVBL5         255 - 255
      FCENVML1         256 - 256
      FCENVML2         257 - 257
      FCENVML3         258 - 258
      FCENVML4         259 - 259
      FCENVML5         260 - 260
      WVARSTRR         261 - 263
      W_FSTR1          264 - 274
      W_FSTR2          275 - 285
      W_FSTR3          286 - 296
      W_FSTR4          297 - 307
      W_FSTR5          308 - 318
      W_FSTR6          319 - 329
      W_FSTR7          330 - 340
      W_FSTR8          341 - 351
      W_FSTR9          352 - 362
      W_FSTR10         363 - 373
      W_FSTR11         374 - 384
      W_FSTR12         385 - 395
      W_FSTR13         396 - 406
      W_FSTR14         407 - 417
      W_FSTR15         418 - 428
      W_FSTR16         429 - 439
      W_FSTR17         440 - 450
      W_FSTR18         451 - 461
      W_FSTR19         462 - 472
      W_FSTR20         473 - 483
      W_FSTR21         484 - 494
      W_FSTR22         495 - 505
      W_FSTR23         506 - 516
      W_FSTR24         517 - 527
      W_FSTR25         528 - 538
      W_FSTR26         539 - 549
      W_FSTR27         550 - 560
      W_FSTR28         561 - 571
      W_FSTR29         572 - 582
      W_FSTR30         583 - 593
      W_FSTR31         594 - 604
      W_FSTR32         605 - 615
      W_FSTR33         616 - 626
      W_FSTR34         627 - 637
      W_FSTR35         638 - 648
      W_FSTR36         649 - 659
      W_FSTR37         660 - 670
      W_FSTR38         671 - 681
      W_FSTR39         682 - 692
      W_FSTR40         693 - 703
      W_FSTR41         704 - 714
      W_FSTR42         715 - 725
      W_FSTR43         726 - 736
      W_FSTR44         737 - 747
      W_FSTR45         748 - 758
      W_FSTR46         759 - 769
      W_FSTR47         770 - 780
      W_FSTR48         781 - 791
      W_FSTR49         792 - 802
      W_FSTR50         803 - 813
      W_FSTR51         814 - 824
      W_FSTR52         825 - 835
      W_FSTR53         836 - 846
      W_FSTR54         847 - 857
      W_FSTR55         858 - 868
      W_FSTR56         869 - 879
      W_FSTR57         880 - 890
      W_FSTR58         891 - 901
      W_FSTR59         902 - 912
      W_FSTR60         913 - 923
      W_FSTR61         924 - 934
      W_FSTR62         935 - 945
      W_FSTR63         946 - 956
      W_FSTR64         957 - 967
      W_FSTR65         968 - 978
      W_FSTR66         979 - 989
      W_FSTR67         990 - 1000
      W_FSTR68        1001 - 1011
      W_FSTR69        1012 - 1022
      W_FSTR70        1023 - 1033
      W_FSTR71        1034 - 1044
      W_FSTR72        1045 - 1055
      W_FSTR73        1056 - 1066
      W_FSTR74        1067 - 1077
      W_FSTR75        1078 - 1088
      W_FSTR76        1089 - 1099
      W_FSTR77        1100 - 1110
      W_FSTR78        1111 - 1121
      W_FSTR79        1122 - 1132
      W_FSTR80        1133 - 1143
      W_FSTR81        1144 - 1154
      W_FSTR82        1155 - 1165
      W_FSTR83        1166 - 1176
      W_FSTR84        1177 - 1187
      W_FSTR85        1188 - 1198
      W_FSTR86        1199 - 1209
      W_FSTR87        1210 - 1220
      W_FSTR88        1221 - 1231
      W_FSTR89        1232 - 1242
      W_FSTR90        1243 - 1253
      W_FSTR91        1254 - 1264
      W_FSTR92        1265 - 1275
      W_FSTR93        1276 - 1286
      W_FSTR94        1287 - 1297
      W_FSTR95        1298 - 1308
      W_FSTR96        1309 - 1319
      W_FSTR97        1320 - 1330
      W_FSTR98        1331 - 1341
      W_FSTR99        1342 - 1352
      W_FSTR100       1353 - 1363
;




   LABEL
      NACIONAL        = "Variable auxiliar para obtener promedios nacionales"
      ESCUELA         = "Identificador de la escuela"
      ID_ENT          = "Entidad federativa (identificador numrico)"
      NOM_ENT         = "Entidad federativa"
      ID_MOD          = "Estrato escolar o Modalidad educativa (identificador numrico)"
      MOD             = "Estrato escolar o Modalidad educativa"
      ESTRATO         = "Estrato de muestreo. Se construy con ENTIDAD, MODALIDAD. No es comn a todas las tablas pues en algunos casos se colapsaron registros"
      ENTEST          = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
      ALUMNO          = "Identificador del alumno"
      ID_INSTR        = "Identificador del cuadernillo de examen"
      SEXO            = "Sexo del alumno"
      EDAD_AC         = "Edad en aos cumplidos (al momento de la aplicacin)"
      MES_NAC         = "Mes de nacimiento del alumno"
      EDAD            = "Edad del alumno al mes de mayo de 2013, en aos (al momento de la aplicacin). Incluye los meses cumplidos (decimales)"
      EDAD_ACC        = "Edad en aos cumplidos codificada (con recodificacin y colapsamiento de categoras de la variable EDAD_AC)"
      EDAD_N          = "Edad normativa. Supone el ingreso al primero de primaria con 6 aos cumplidos (o menos) al primero de septiembre"
      EDAD_ANT        = "Edad anticipada. Variable indicadora de los alumnos que ingresaron al primero de primaria con menos de 6 aos cumplidos al primero de septiembre"
      EDAD_EES        = "Extra edad severa. Variable indicadora de los alumnos que tienen dos aos o ms de retraso en el sistema escolar"
      W_ALU           = "Peso muestral o ponderador del alumno"
      DOCENTE         = "Identificador del docente que imparte clases al alumno"
      PCA_01          = "Identificar la higiene personal y vida saludable"
      PCA_02          = "Reflexionar sobre los estereotipos de adolescentes en los medios de comunicacin"
      PCA_03          = "Analizar la influencia de los medios de comunicacin en los adolescentes"
      PCA_04          = "Reconocer emociones que lesionan la dignidad y los derechos de los dems."
      PCA_05          = "Reflexionar sobre las repercusiones de las decisiones propias en el futuro"
      PCA_06          = "Identificar a la justicia como factor para reparar daos"
      PCA_07          = "Distinguir la diversidad cultural entre los grupos tnicos nacionales e internacionales"
      PCA_08          = "Distinguir actitudes discriminatorias en los medios de comunicacin"
      PCA_09          = "Identificar el maltrato infantil como problema social"
      PCA_10          = "Reconocer derechos y responsabilidades en la pertenencia social"
      PCA_11          = "Reconocer al estado de derecho como componente de la democracia"
      PCA_12          = "Comprender la importancia del imperio de la ley para la democracia"
      PCA_13          = "Comprender el sistema republicano como divisin de poderes"
      PCA_14          = "Comprender la obligacin de cumplir las leyes al estar representado"
      PCA_15          = "Reconocer  que el federalismo favorece la democracia"
      PCA_16          = "Comprender la importancia de formular estrategias para resolver conflictos de manera libre e informada"
      PCA_17          = "Comprender la no violencia como forma de actuar frente al conflicto"
      PCA_18          = "Analizar la informacin poltica para tomar decisiones"
      PCB_01          = "Asociar la prevencin con la vida saludable"
      PCB_02          = "Reconocer las acciones propias con relacin a la salud"
      PCB_03          = "Aplicar estrategias para alcanzar metas personales"
      PCB_04          = "Distinguir argumentos legales que protegen los derechos humanos"
      PCB_05          = "Comprender la importancia de respetar la diversidad social"
      PCB_06          = "Distinguir actitudes o situaciones de discriminacin"
      PCB_07          = "Distinguir actitudes o situaciones racistas"
      PCB_08          = "Reconocer las leyes nacionales e internacional de defensa de los derechos humanos"
      PCB_09          = "Distinguir acciones que favorecen la equidad de gnero"
      PCB_10          = "Reconocer la divisin de poderes como caracterstica de la democracia"
      PCB_11          = "Ubicar la responsabilidad de las autoridades en la proteccin de los derechos humanos"
      PCB_12          = "Reconocer los derechos humanos como lmites de las autoridades"
      PCB_13          = "Reconocer que la divisin de poderes permite la democracia"
      PCB_14          = "Reconocer que los partidos polticos favorecen la democracia"
      PCB_15          = "Reconocer la importancia de la bsqueda de informacin para resolver problemas en el entorno"
      PCB_16          = "Identificar diferentes formas de resolver conflictos"
      PCB_17          = "Valorar la importancia de reunir informacin de diferentes fuentes sobre la vida poltica del pas"
      PCC_01          = "Identificar la prevencin y la higiene para la salud sexual"
      PCC_02          = "Reconocer situaciones para el bienestar adolescente"
      PCC_03          = "Identificar diferentes posturas valorales"
      PCC_04          = "Reconocer posturas con base en los derechos humanos"
      PCC_05          = "Reconocer leyes que regulan y protegen los derechos humanos"
      PCC_06          = "Reconocer  la ley los derechos humanos para el bienestar colectivo"
      PCC_07          = "Reconocer la prioridad del respeto a las normas sobre intereses individuales"
      PCC_08          = "Identificar la existencia de diversidad cultural a nivel nacional y mundial"
      PCC_09          = "Comprender la importancia de participar en el desarrollo sustentable a favor de prximas generaciones"
      PCC_10          = "Reconocer los marcos legales que protegen los derechos"
      PCC_11          = "Rechazar situaciones que vulneran los derechos"
      PCC_12          = "Criticar tradiciones y costumbres que lesionan la dignidad  y los derechos humanos"
      PCC_13          = "Comprender la equidad de gnero"
      PCC_14          = "Valorar que en la democracia se toman decisiones colectivas a travs de la participacin ciudadana"
      PCC_15          = "Reconocer instituciones de la democracia para influir en las decisiones colectivas"
      PCC_16          = "Valorar la participacin en la resolucin de conflictos sociales"
      PCC_17          = "Comprender que la violencia impide la resolucin de conflictos"
      PCC_18          = "Valorar la importancia de comparar informacin poltica de distintas fuentes para elegir responsablemente"
      PCD_01          = "Comparar roles de gnero"
      PCD_02          = "Reconocer la dignidad humana como inherente a la humanidad"
      PCD_03          = "Establecer relaciones basadas en la dignidad humana"
      PCD_04          = "Rechazar actitudes o  situaciones de discriminacin"
      PCD_05          = "Analizar formas de discriminacin hacia los indgenas"
      PCD_06          = "Identificar la migracin como problema social"
      PCD_07          = "Reconocer acciones propias que benefician al ambiente"
      PCD_08          = "Valorar la importancia de denunciar la violacin de derechos"
      PCD_09          = "Reconocer que la democracia asegura la libertad y el desarrollo humano"
      PCD_10          = "Apreciar que la democracia asegura la libertad y el desarrollo humano"
      PCD_11          = "Comprender la importancia de la participacin libre, informada, crtica y responsable en la democracia"
      PCD_12          = "Reconocer cuando existe contradiccin entre la aplicacin de la ley y los derechos humanos"
      PCD_13          = "Identificar violaciones de los derechos humanos por parte de las autoridades"
      PCD_14          = "Reconocer los mbitos de competencia de los distintos niveles de gobierno"
      PCD_15          = "Identificar las caractersticas de un conflicto"
      PCD_16          = "Valorar la informacin sobre problemas sociales que pueden repercutir en la vida personal"
      PCD_17          = "Valorar la informacin sobre eventos naturales que pueden repercutir en la vida personal"
      PCD_18          = "Reconocer distintas formas de actuar no violentas frente al conflicto"
      PCE_01          = "Distinguir la sexualidad y su relacin con la comunicacin, el disfrute y el afecto"
      PCE_02          = "Reconocer factores externos con relacin a la salud"
      PCE_03          = "Distinguir emociones propias  lesionen la dignidad y los derechos de los dems"
      PCE_04          = "Reconocer distintos tipos de interdependencia entre los grupos humanos"
      PCE_05          = "Comprender que existen diferentes formas de vivir"
      PCE_06          = "Rechazar actitudes o situaciones racistas"
      PCE_07          = "Evaluar situaciones discriminatorias en los medios de comunicacin"
      PCE_08          = "Identificar las normas y las leyes como reguladoras en la convivencia"
      PCE_09          = "Detectar situaciones donde se transgreden normas y leyes"
      PCE_10          = "Valorar la importancia del ejercicio de derechos y responsabilidades en la colectividad"
      PCE_11          = "Reconocer el poder legislativo como parte de los poderes de la repblica"
      PCE_12          = "Reconocer que el poder legislativo es el nico que puede crear leyes"
      PCE_13          = "Valorar las leyes como medio de proteccin de los derechos"
      PCE_14          = "Valorar la participacin en la exigibilidad de los derechos humanos"
      PCE_15          = "Reconocer que el sistema electoral favorece la democracia"
      PCE_16          = "Valorar la importancia de proponer alternativas para resolver conflictos"
      PCE_17          = "Respetar los acuerdos colectivos"
      PCF_01          = "Reconocer la relacin entre sexualidad y reproduccin"
      PCF_02          = "Analizar cambios histricos en los roles de gnero"
      PCF_03          = "Identificar situaciones de riesgo en los adolescentes"
      PCF_04          = "Comparar distintas fuentes de informacin para la toma de decisiones"
      PCF_05          = "Reconocer los principios ticos como pauta para tomar decisiones"
      PCF_06          = "Identificar la justicia como equidad social y econmica"
      PCF_07          = "Analizar situaciones en las que estn en juego los derechos humanos"
      PCF_08          = "Distinguir situaciones de equidad o inequidad en la interdependencia"
      PCF_09          = "Analizar formas de discriminacin hacia las mujeres"
      PCF_10          = "Reconocer tradiciones y costumbres que pueden violentar la dignidad  y los derechos humanos"
      PCF_11          = "Reconocer la sancin ante el incumplimiento de normas y leyes"
      PCF_12          = "Reconocer al estado de derecho como protector de los derechos humanos"
      PCF_13          = "Reconocer que el poder legislativo garantiza la representacin popular"
      PCF_14          = "Identificar la importancia del ejercicio de los derechos humanos en la vida diaria"
      PCF_15          = "Reconocer los niveles de gobierno de una repblica federal"
      PCF_16          = "Comprender causas polticas, econmicas y culturales de los conflictos sociales"
      PCF_17          = "Reconocer violencia en la escuela"
      PCF_18          = "Comprender el respeto a los acuerdos tomados con mi participacin sobre asuntos pblicos"
      PV1FCE          = "Primer valor plausible de formacin cvica y tica"
      PV2FCE          = "Segundo valor plausible de formacin cvica y tica"
      PV3FCE          = "Tercer valor plausible de formacin cvica y tica"
      PV4FCE          = "Cuarto valor plausible de formacin cvica y tica"
      PV5FCE          = "Quinto valor plausible de formacin cvica y tica"
      FCENVL1         = "Nivel de logro en formacin cvica y tica. Asociado a PV1FCE. (Cuatro niveles)"
      FCENVL2         = "Nivel de logro en formacin cvica y tica. Asociado a PV2FCE. (Cuatro niveles)"
      FCENVL3         = "Nivel de logro en formacin cvica y tica. Asociado a PV3FCE. (Cuatro niveles)"
      FCENVL4         = "Nivel de logro en formacin cvica y tica. Asociado a PV4FCE. (Cuatro niveles)"
      FCENVL5         = "Nivel de logro en formacin cvica y tica. Asociado a PV5FCE. (Cuatro niveles)"
      FCENVBL1        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en formacin cvica y tica. Asociado a PV1FCE."
      FCENVBL2        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en formacin cvica y tica. Asociado a PV2FCE."
      FCENVBL3        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en formacin cvica y tica. Asociado a PV3FCE."
      FCENVBL4        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en formacin cvica y tica. Asociado a PV4FCE."
      FCENVBL5        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en formacin cvica y tica. Asociado a PV5FCE."
      FCENVML1        = "Identifica si el alumno pertenece al menos al nivel medio de logro en formacin cvica y tica. Asociado a PV1FCE."
      FCENVML2        = "Identifica si el alumno pertenece al menos al nivel medio de logro en formacin cvica y tica. Asociado a PV2FCE."
      FCENVML3        = "Identifica si el alumno pertenece al menos al nivel medio de logro en formacin cvica y tica. Asociado a PV3FCE."
      FCENVML4        = "Identifica si el alumno pertenece al menos al nivel medio de logro en formacin cvica y tica. Asociado a PV4FCE."
      FCENVML5        = "Identifica si el alumno pertenece al menos al nivel medio de logro en formacin cvica y tica. Asociado a PV5FCE."
      WVARSTRR        = "Identificador del pseudoestrato (1 a 100) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
      W_FSTR1         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR2         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR3         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR4         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR5         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR6         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR7         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR8         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR9         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR10        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR11        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR12        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR13        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR14        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR15        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR16        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR17        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR18        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR19        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR20        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR21        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR22        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR23        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR24        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR25        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR26        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR27        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR28        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR29        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR30        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR31        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR32        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR33        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR34        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR35        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR36        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR37        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR38        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR39        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR40        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR41        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR42        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR43        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR44        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR45        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR46        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR47        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR48        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR49        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR50        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR51        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR52        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR53        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR54        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR55        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR56        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR57        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR58        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR59        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR60        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR61        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR62        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR63        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR64        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR65        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR66        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR67        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR68        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR69        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR70        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR71        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR72        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR73        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR74        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR75        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR76        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR77        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR78        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR79        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR80        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR81        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR82        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR83        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR84        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR85        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR86        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR87        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR88        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR89        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR90        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR91        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR92        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR93        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR94        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR95        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR96        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR97        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR98        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR99        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR100       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
;






   FORMAT
       NACIONAL          1.
       ESCUELA           4.
       ID_ENT            id_entF.
       NOM_ENT           $char19.
       ID_MOD            id_modF.
       MOD               $modF.
       ESTRATO           $char7.
       ENTEST            $entestF.
       ALUMNO            5.
       ID_INSTR          $char15.
       SEXO              sexoF.
       EDAD_AC           edad_acF.
       MES_NAC           mes_nacF.
       EDAD              edadF.
       EDAD_ACC          edadCF.
       EDAD_N            edadNF.
       EDAD_ANT          edadAF.
       EDAD_EES          edadEF.
       DOCENTE           docenF.
       PCA_01            reactF.
       PCA_02            reactF.
       PCA_03            reactF.
       PCA_04            reactF.
       PCA_05            reactF.
       PCA_06            reactF.
       PCA_07            reactF.
       PCA_08            reactF.
       PCA_09            reactF.
       PCA_10            reactF.
       PCA_11            reactF.
       PCA_12            reactF.
       PCA_13            reactF.
       PCA_14            reactF.
       PCA_15            reactF.
       PCA_16            reactF.
       PCA_17            reactF.
       PCA_18            reactF.
       PCB_01            reactF.
       PCB_02            reactF.
       PCB_03            reactF.
       PCB_04            reactF.
       PCB_05            reactF.
       PCB_06            reactF.
       PCB_07            reactF.
       PCB_08            reactF.
       PCB_09            reactF.
       PCB_10            reactF.
       PCB_11            reactF.
       PCB_12            reactF.
       PCB_13            reactF.
       PCB_14            reactF.
       PCB_15            reactF.
       PCB_16            reactF.
       PCB_17            reactF.
       PCC_01            reactF.
       PCC_02            reactF.
       PCC_03            reactF.
       PCC_04            reactF.
       PCC_05            reactF.
       PCC_06            reactF.
       PCC_07            reactF.
       PCC_08            reactF.
       PCC_09            reactF.
       PCC_10            reactF.
       PCC_11            reactF.
       PCC_12            reactF.
       PCC_13            reactF.
       PCC_14            reactF.
       PCC_15            reactF.
       PCC_16            reactF.
       PCC_17            reactF.
       PCC_18            reactF.
       PCD_01            reactF.
       PCD_02            reactF.
       PCD_03            reactF.
       PCD_04            reactF.
       PCD_05            reactF.
       PCD_06            reactF.
       PCD_07            reactF.
       PCD_08            reactF.
       PCD_09            reactF.
       PCD_10            reactF.
       PCD_11            reactF.
       PCD_12            reactF.
       PCD_13            reactF.
       PCD_14            reactF.
       PCD_15            reactF.
       PCD_16            reactF.
       PCD_17            reactF.
       PCD_18            reactF.
       PCE_01            reactF.
       PCE_02            reactF.
       PCE_03            reactF.
       PCE_04            reactF.
       PCE_05            reactF.
       PCE_06            reactF.
       PCE_07            reactF.
       PCE_08            reactF.
       PCE_09            reactF.
       PCE_10            reactF.
       PCE_11            reactF.
       PCE_12            reactF.
       PCE_13            reactF.
       PCE_14            reactF.
       PCE_15            reactF.
       PCE_16            reactF.
       PCE_17            reactF.
       PCF_01            reactF.
       PCF_02            reactF.
       PCF_03            reactF.
       PCF_04            reactF.
       PCF_05            reactF.
       PCF_06            reactF.
       PCF_07            reactF.
       PCF_08            reactF.
       PCF_09            reactF.
       PCF_10            reactF.
       PCF_11            reactF.
       PCF_12            reactF.
       PCF_13            reactF.
       PCF_14            reactF.
       PCF_15            reactF.
       PCF_16            reactF.
       PCF_17            reactF.
       PCF_18            reactF.
       FCENVL1           nvlF.
       FCENVL2           nvlF.
       FCENVL3           nvlF.
       FCENVL4           nvlF.
       FCENVL5           nvlF.
       FCENVBL1          nvblF.
       FCENVBL2          nvblF.
       FCENVBL3          nvblF.
       FCENVBL4          nvblF.
       FCENVBL5          nvblF.
       FCENVML1          nvmlF.
       FCENVML2          nvmlF.
       FCENVML3          nvmlF.
       FCENVML4          nvmlF.
       FCENVML5          nvmlF.
       wvarstrr          3.
   ;

/**************************************************************************
/*  Definicin de valores perdidos
/*   .N o N = No Administrado o no alcanzado.
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   IF  sexo = 8 THEN  sexo = .M;
   IF  edad_ac = 98 THEN  edad_ac = .M;
   IF  mes_nac = 98 THEN  mes_nac = .M;
   IF  entest = "999" THEN  entest = .S;
   IF  Docente = 99999 THEN  Docente = .S;


   ARRAY perdidos1(5)  sexo edad_acc edad_n edad_ant edad_ant;
   DO  i=1 TO 5;
         IF perdidos1{i}=9 THEN  perdidos1{i}= .S;
   END;

   ARRAY perdidos2(3)  edad edad_ac mes_nac;
   DO  i=1 TO 3;
         IF perdidos2{i}=99 THEN  perdidos2{i}= .S;
   END;


   ARRAY perdidos3(106)
                PCA_01 PCA_02 PCA_03 PCA_04 PCA_05 PCA_06 PCA_07 PCA_08 PCA_09 PCA_10
                PCA_11 PCA_12 PCA_13 PCA_14 PCA_15 PCA_16 PCA_17 PCA_18 PCB_01 PCB_02
                PCB_03 PCB_04 PCB_05 PCB_06 PCB_07 PCB_08 PCB_09 PCB_10 PCB_11 PCB_12
                PCB_13 PCB_14 PCB_15 PCB_16 PCB_17 PCC_01 PCC_02 PCC_03 PCC_04 PCC_05
                PCC_06 PCC_07 PCC_08 PCC_09 PCC_10 PCC_11 PCC_12 PCC_13 PCC_14 PCC_15
                PCC_16 PCC_17 PCC_18 PCD_01 PCD_02 PCD_03 PCD_04 PCD_05 PCD_06 PCD_07
                PCD_08 PCD_09 PCD_10 PCD_11 PCD_12 PCD_13 PCD_14 PCD_15 PCD_16 PCD_17
                PCD_18 PCE_01 PCE_02 PCE_03 PCE_04 PCE_05 PCE_06 PCE_07 PCE_08 PCE_09
                PCE_10 PCE_11 PCE_12 PCE_13 PCE_14 PCE_15 PCE_16 PCE_17 PCF_01 PCF_02
                PCF_03 PCF_04 PCF_05 PCF_06 PCF_07 PCF_08 PCF_09 PCF_10 PCF_11 PCF_12
                PCF_13 PCF_14 PCF_15 PCF_16 PCF_17 PCF_18;
   DO  i=1 TO 106;
          IF perdidos3{i} = 5   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 6   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 7   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 8   THEN  perdidos3{i} = .M;
          IF perdidos3{i} = 9   THEN  perdidos3{i} = .S;
   END;

   drop i;
RUN;
